Uploaded image for project: 'Hadoop YARN'
  1. Hadoop YARN
  2. YARN-2950

Change message to mandate, not suggest JS requirement on UI

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.5.0
    • Fix Version/s: 2.7.0
    • Component/s: webapp
    • Labels:
    • Hadoop Flags:
      Reviewed

      Description

      Most of YARN's UIs do not work with JavaScript disabled on the browser, cause they appear to send back data as JS arrays instead of within the actual HTML content.

      The JQueryUI prints only a mild warning about this suggesting that This page works best with javascript enabled., when in fact it ought to be This page will not function without javascript enabled. Please enable javascript on your browser. or something as such (more direct).

        Attachments

        1. YARN-2950-2.patch
          0.9 kB
          Harsh J
        2. YARN-2950-1.patch
          0.9 kB
          Dustin Cote

          Activity

            People

            • Assignee:
              cotedm Dustin Cote
              Reporter:
              qwertymaniac Harsh J
            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: